<?xml version="1.0" encoding="utf-8"?>
<?taxonomy-generator id="PomdocPro" version="2021.1.1.1" date="2025-04-22 10:16:55"?>
<linkbase 
  xml:lang="en"
  xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"
>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_ReservesAndRetainedEarningsMember"
    xlink:label="ES_ReservesAndRetainedEarningsMember"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense"
    xlink:label="ES_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_ChangesInCashAndCashEquivalentsAbtract"
    xlink:label="ES_ChangesInCashAndCashEquivalentsAbtract"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
    xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_OtherChanges"
    xlink:label="ES_OtherChanges"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_DepreciationAndAmortisationExpenseProvisionsAndFairValueGainsLosses"
    xlink:label="ES_DepreciationAndAmortisationExpenseProvisionsAndFairValueGainsLosses"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_PropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions"
    xlink:label="ES_PropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_ProceedsFromDisposalsOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwillProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentProperty"
    xlink:label="ES_ProceedsFromDisposalsOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwillProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentProperty"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_Consolidationreserves"
    xlink:label="ES_Consolidationreserves"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_AccumulatedOtherComprehensiveIncomeMemberFinancialInstrumentsNetOfTaxMember"
    xlink:label="ES_AccumulatedOtherComprehensiveIncomeMemberFinancialInstrumentsNetOfTaxMember"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_IncreaseDeCreaseInCashAndCashEquivalentsAndCashInvestments"
    xlink:label="ES_IncreaseDeCreaseInCashAndCashEquivalentsAndCashInvestments"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfExistingProperties"
    xlink:label="ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfExistingProperties"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions"
    xlink:label="ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_NetChangesInFairValueOnEnergyAndCommodityDerivativesExcludingTradingActivities"
    xlink:label="ES_NetChangesInFairValueOnEnergyAndCommodityDerivativesExcludingTradingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_FundingContributionsReceivedForAssetsOperatedUnderConcessionsAndGovernmentGrantsReceived"
    xlink:label="ES_FundingContributionsReceivedForAssetsOperatedUnderConcessionsAndGovernmentGrantsReceived"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstruments"
    xlink:label="ES_OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstruments"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_DisclosureOfOtherExplanatoryInformation"
    xlink:label="ES_DisclosureOfOtherExplanatoryInformation"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_ReservesRelatedToIssuedCapitalMember"
    xlink:label="ES_ReservesRelatedToIssuedCapitalMember"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_ProfitLossFromOperatingActivitiesAfterShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"
    xlink:label="ES_ProfitLossFromOperatingActivitiesAfterShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfPropertiesToRenew"
    xlink:label="ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfPropertiesToRenew"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_OtherOperatingIncomeAndExpensesFromNonOrdinaryActivities"
    xlink:label="ES_OtherOperatingIncomeAndExpensesFromNonOrdinaryActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_CostOfDebt"
    xlink:label="ES_CostOfDebt"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_CostOfNetDebt"
    xlink:label="ES_CostOfNetDebt"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_ProvisionExpenseForRenewSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities"
    xlink:label="ES_ProvisionExpenseForRenewSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_AllocationResultEeig"
    xlink:label="ES_AllocationResultEeig"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_PropertyPlantAndEquipmentIncludingRightsOfUseExcludingAssetsHeldUnderConcessions"
    xlink:label="ES_PropertyPlantAndEquipmentIncludingRightsOfUseExcludingAssetsHeldUnderConcessions"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_ProfitLossFromFinancingActivities"
    xlink:label="ES_ProfitLossFromFinancingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_AccumulatedOtherComprehensiveIncomeMemberActuarielGainsLossesNetOfTax"
    xlink:label="ES_AccumulatedOtherComprehensiveIncomeMemberActuarielGainsLossesNetOfTax"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_RevenueAndOtherRevenue"
    xlink:label="ES_RevenueAndOtherRevenue"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_AjustementsForCostOfNetDebt"
    xlink:label="ES_AjustementsForCostOfNetDebt"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_DisclosureOfTheEvolutionOfElectricityAndGasMarketPrices"
    xlink:label="ES_DisclosureOfTheEvolutionOfElectricityAndGasMarketPrices"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities"
    xlink:label="ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_DisclosureOfRegulatoryAndTariffChanges"
    xlink:label="ES_DisclosureOfRegulatoryAndTariffChanges"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_PropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities"
    xlink:label="ES_PropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_DisclosureOfSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities"
    xlink:label="ES_DisclosureOfSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities"
  />
  <loc
    xlink:type="locator"
    xlink:href="969500ONI3X5EA276S20-2024-12-31.xsd#ES_OtherOperatingIncomeAndExpensesFromOrdinaryActivities"
    xlink:label="ES_OtherOperatingIncomeAndExpensesFromOrdinaryActivities"
  />
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ReservesAndRetainedEarningsMember"
    xlink:to="ES_ReservesAndRetainedEarningsMember_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ReservesAndRetainedEarningsMember_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Reserves And Retained Earnings Member</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense"
    xlink:to="ES_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Cash Flows From Used In Operations After Cost Of Net Debt And Income Tax Expense</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense"
    xlink:to="ES_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Cash Flows From Used In Operations After Cost Of Net Debt And Income Tax Expense</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ChangesInCashAndCashEquivalentsAbtract"
    xlink:to="ES_ChangesInCashAndCashEquivalentsAbtract_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ChangesInCashAndCashEquivalentsAbtract_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Changes in cash and cash equivalents [abtract]</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
    xlink:to="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodStartLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodStartLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
    xml:lang="en"
  >Cash and cash equivalents if different from statement of financial position at the beginning of period</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_OtherChanges"
    xlink:to="ES_OtherChanges_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_OtherChanges_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Other Changes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
    xlink:to="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodEndLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodEndLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
    xml:lang="en"
  >Cash and cash equivalents if different from statement of financial position at the end of period</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_DepreciationAndAmortisationExpenseProvisionsAndFairValueGainsLosses"
    xlink:to="ES_DepreciationAndAmortisationExpenseProvisionsAndFairValueGainsLosses_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_DepreciationAndAmortisationExpenseProvisionsAndFairValueGainsLosses_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Depreciation And Amortisation Expense Provisions And Fair Value Gains Losses</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_OtherChanges"
    xlink:to="ES_OtherChanges_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_OtherChanges_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Other Changes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_PropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions"
    xlink:to="ES_PropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_PropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Property Plant And Equipment Operated Under French Public Electricity And Gaz Distribution Concessions</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ProceedsFromDisposalsOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwillProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentProperty"
    xlink:to="ES_ProceedsFromDisposalsOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwillProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentProperty_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ProceedsFromDisposalsOfPropertyPlantEquipmentAndIntangibleAssetsOtherThanGoodwillProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentProperty_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Proceeds from disposals of property plant equipment and intangible assets other than goodwill proceeds from disposals of property plant and equipment intangible assets other than goodwill investment property</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_Consolidationreserves"
    xlink:to="ES_Consolidationreserves_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_Consolidationreserves_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >ConsolidationReserves</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_AccumulatedOtherComprehensiveIncomeMemberFinancialInstrumentsNetOfTaxMember"
    xlink:to="ES_AccumulatedOtherComprehensiveIncomeMemberFinancialInstrumentsNetOfTaxMember_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_AccumulatedOtherComprehensiveIncomeMemberFinancialInstrumentsNetOfTaxMember_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Accumulated Other Comprehensive Income Member Financial Instruments Net Of Tax (member)</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_IncreaseDeCreaseInCashAndCashEquivalentsAndCashInvestments"
    xlink:to="ES_IncreaseDeCreaseInCashAndCashEquivalentsAndCashInvestments_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_IncreaseDeCreaseInCashAndCashEquivalentsAndCashInvestments_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  > Increase de crease in cash and cash equivalents and cash investments</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfExistingProperties"
    xlink:to="ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfExistingProperties_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfExistingProperties_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Special French Public Electricity And Gaz Distribution Concession Liabilities Of Existing Properties</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions"
    xlink:to="ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderFrenchPublicElectricityAndGazDistributionConcessions_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Disclosure Of Property Plant And Equipment Operated Under French Public Electricity And Gaz Distribution Concessions</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_NetChangesInFairValueOnEnergyAndCommodityDerivativesExcludingTradingActivities"
    xlink:to="ES_NetChangesInFairValueOnEnergyAndCommodityDerivativesExcludingTradingActivities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_NetChangesInFairValueOnEnergyAndCommodityDerivativesExcludingTradingActivities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Net changes in fair value on energy and commodity derivatives excluding trading activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_FundingContributionsReceivedForAssetsOperatedUnderConcessionsAndGovernmentGrantsReceived"
    xlink:to="ES_FundingContributionsReceivedForAssetsOperatedUnderConcessionsAndGovernmentGrantsReceived_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_FundingContributionsReceivedForAssetsOperatedUnderConcessionsAndGovernmentGrantsReceived_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Funding Contributions Received For Assets Operated Under Concessions and Government Grants Received</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstruments"
    xlink:to="ES_OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstruments_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstruments_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Other comprehensive income, before tax gains (losses) on hedging instruments</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_DisclosureOfOtherExplanatoryInformation"
    xlink:to="ES_DisclosureOfOtherExplanatoryInformation_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_DisclosureOfOtherExplanatoryInformation_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Disclosure Of Other Explanatory Information</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ReservesRelatedToIssuedCapitalMember"
    xlink:to="ES_ReservesRelatedToIssuedCapitalMember_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ReservesRelatedToIssuedCapitalMember_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >ReservesRelatedToIssuedCapitalMember</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ProfitLossFromOperatingActivitiesAfterShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"
    xlink:to="ES_ProfitLossFromOperatingActivitiesAfterShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ProfitLossFromOperatingActivitiesAfterShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Profit loss from operating activities after share of profit loss of associates and joint ventures accounted for using equity method</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfPropertiesToRenew"
    xlink:to="ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfPropertiesToRenew_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_SpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilitiesOfPropertiesToRenew_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Special French Public Electricity And Gaz Distribution Concession Liabilities Of Properties To Renew</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_OtherOperatingIncomeAndExpensesFromNonOrdinaryActivities"
    xlink:to="ES_OtherOperatingIncomeAndExpensesFromNonOrdinaryActivities_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_OtherOperatingIncomeAndExpensesFromNonOrdinaryActivities_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Other operating income and expenses from non ordinary activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_CostOfDebt"
    xlink:to="ES_CostOfDebt_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_CostOfDebt_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Cost of debt</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_CostOfNetDebt"
    xlink:to="ES_CostOfNetDebt_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_CostOfNetDebt_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Cost of net debt</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ProvisionExpenseForRenewSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities"
    xlink:to="ES_ProvisionExpenseForRenewSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ProvisionExpenseForRenewSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Provision expense for renew special french public electricity and gaz distribution concession liabilities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_NetChangesInFairValueOnEnergyAndCommodityDerivativesExcludingTradingActivities"
    xlink:to="ES_NetChangesInFairValueOnEnergyAndCommodityDerivativesExcludingTradingActivities_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_NetChangesInFairValueOnEnergyAndCommodityDerivativesExcludingTradingActivities_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Net changes in fair value on energy and commodity derivatives excluding trading activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_AllocationResultEeig"
    xlink:to="ES_AllocationResultEeig_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_AllocationResultEeig_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Allocation Result EEIG</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_PropertyPlantAndEquipmentIncludingRightsOfUseExcludingAssetsHeldUnderConcessions"
    xlink:to="ES_PropertyPlantAndEquipmentIncludingRightsOfUseExcludingAssetsHeldUnderConcessions_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_PropertyPlantAndEquipmentIncludingRightsOfUseExcludingAssetsHeldUnderConcessions_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Property Plant And Equipment Including Rights Of Use Excluding Assets Held Under Concessions</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ProfitLossFromFinancingActivities"
    xlink:to="ES_ProfitLossFromFinancingActivities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ProfitLossFromFinancingActivities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Profit loss from  financing activities </label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_AccumulatedOtherComprehensiveIncomeMemberActuarielGainsLossesNetOfTax"
    xlink:to="ES_AccumulatedOtherComprehensiveIncomeMemberActuarielGainsLossesNetOfTax_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_AccumulatedOtherComprehensiveIncomeMemberActuarielGainsLossesNetOfTax_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Accumulated Other Comprehensive Income Member Actuariel Gains Losses Net Of Tax Member</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_CostOfNetDebt"
    xlink:to="ES_CostOfNetDebt_negatedTotalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_CostOfNetDebt_negatedTotalLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedTotalLabel"
    xml:lang="en"
  >Cost of net debt</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_RevenueAndOtherRevenue"
    xlink:to="ES_RevenueAndOtherRevenue_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_RevenueAndOtherRevenue_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Revenue and other revenue</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_CostOfDebt"
    xlink:to="ES_CostOfDebt_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_CostOfDebt_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Cost of debt</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_AjustementsForCostOfNetDebt"
    xlink:to="ES_AjustementsForCostOfNetDebt_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_AjustementsForCostOfNetDebt_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Ajustements for cost of net debt</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_DisclosureOfTheEvolutionOfElectricityAndGasMarketPrices"
    xlink:to="ES_DisclosureOfTheEvolutionOfElectricityAndGasMarketPrices_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_DisclosureOfTheEvolutionOfElectricityAndGasMarketPrices_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Disclosure Of The Evolution Of Electricity And Gas Market Prices</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities"
    xlink:to="ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_DisclosureOfPropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >DisclosureOfPropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_DisclosureOfRegulatoryAndTariffChanges"
    xlink:to="ES_DisclosureOfRegulatoryAndTariffChanges_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_DisclosureOfRegulatoryAndTariffChanges_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Disclosure Of Regulatory And Tariff Changes</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_RevenueAndOtherRevenue"
    xlink:to="ES_RevenueAndOtherRevenue_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_RevenueAndOtherRevenue_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Revenue and other revenue</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ProfitLossFromFinancingActivities"
    xlink:to="ES_ProfitLossFromFinancingActivities_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ProfitLossFromFinancingActivities_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Profit loss from  financing activities </label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_PropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities"
    xlink:to="ES_PropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_PropertyPlantAndEquipmentOperatedUnderConcessionsForOtherActivities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Property Plant And Equipment Operated Under Concessions For Other Activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ProvisionExpenseForRenewSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities"
    xlink:to="ES_ProvisionExpenseForRenewSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities_negatedLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ProvisionExpenseForRenewSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities_negatedLabel_en"
    xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
    xml:lang="en"
  >Provision expense for renew special french public electricity and gaz distribution concession liabilities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_ProfitLossFromOperatingActivitiesAfterShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"
    xlink:to="ES_ProfitLossFromOperatingActivitiesAfterShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_totalLabel_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_ProfitLossFromOperatingActivitiesAfterShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_totalLabel_en"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="en"
  >Profit loss from operating activities after share of profit loss of associates and joint ventures accounted for using equity method</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_OtherOperatingIncomeAndExpensesFromNonOrdinaryActivities"
    xlink:to="ES_OtherOperatingIncomeAndExpensesFromNonOrdinaryActivities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_OtherOperatingIncomeAndExpensesFromNonOrdinaryActivities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Other operating income and expenses from non ordinary activities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_DisclosureOfSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities"
    xlink:to="ES_DisclosureOfSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_DisclosureOfSpecialFrenchPublicElectricityAndGazDistributionConcessionLiabilities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Disclosure Of Special French Public Electricity And Gaz Distribution Concession Liabilities</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ES_OtherOperatingIncomeAndExpensesFromOrdinaryActivities"
    xlink:to="ES_OtherOperatingIncomeAndExpensesFromOrdinaryActivities_label_en"
  />
  <label
    xlink:type="resource"
    xlink:label="ES_OtherOperatingIncomeAndExpensesFromOrdinaryActivities_label_en"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="en"
  >Other operating income and expenses from ordinary activities</label>
  </labelLink>
</linkbase>